Subject: Re: [bug#37083] [PATCH 0/1] (Help needed!) machine: Implement 'digital-ocean-environment-type'.

From: [email-masked] (Jakob L. Kreuze)
Date: Sat, 28 Sep 2019 16:46:23 -0400

Ludovic Courtès <[email-masked]> writes:

> Oooh, got it: right above, you should call
> ‘operating-system-user-services’, not ‘operating-system-services’.
>
> The latter includes “essential” services like ‘etc’ and ‘shepherd-root’,
> which is why we’d end up with two copies of each of these.
>
> Admittedly quite error-prone!

Ah, thank you. I feel like I've been bitten by that once before and just
forgot.

> Let me know if there are other stumbling blocks.  I look forward to
> seeing Digital Ocean support in ‘guix deploy’!

With that, I think we've got working support for Digital Ocean :)  Patch
to follow.

Regards,
Jakob